This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 806562 - Review Request: python-django-pagination - Django pagination tools
Review Request: python-django-pagination - Django pagination tools
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776 962955
  Show dependency treegraph
 
Reported: 2012-03-24 16:09 EDT by Matthias Runge
Modified: 2013-05-15 06:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 07:57:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-03-24 16:09:23 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-django-pagination.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-pagination-1.0.5-8.fc17.src.rpm
Description: 
A set of utilities for creating robust pagination tools throughout a Django
application.


Please note, this is a package review required for package rename.



[mrunge@sofja SPECS]$ rpmlint ./python-django-pagination.spec ../SRPMS/python-django-pagination-1.0.5-8.fc17.src.rpm ../RPMS/noarch/python-django-pagination-1.0.5-8.fc17.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=3929963
Comment 1 Michael Scherer 2012-03-25 06:12:29 EDT
The obsoletes for the previous packages are missing.
Comment 3 Michael Scherer 2012-03-26 04:15:34 EDT
It seems that there is a newer version :
http://pypi.python.org/pypi/django-pagination

( same url ).
Comment 4 Matthias Runge 2012-03-26 05:11:54 EDT
(In reply to comment #3)
> It seems that there is a newer version :
> http://pypi.python.org/pypi/django-pagination
> 
> ( same url ).

and another oopsie. How could I missed that? Only excuse is, upstream's web page http://code.google.com/p/django-pagination/ didn't lists it yet. Good catch!

Apparently, support for other languages was dropped.

SPEC: http://www.matthias-runge.de/fedora/python-django-pagination.spec
SRPM: http://www.matthias-runge.de/fedora/python-django-pagination-1.0.7-1.fc16.src.rpm



[mrunge@mrungexp SPECS]$ diff -u python-django-pagination.spec-9  python-django-pagination.spec
--- python-django-pagination.spec-9	2012-03-26 10:38:26.879608320 +0200
+++ python-django-pagination.spec	2012-03-26 11:01:04.398612372 +0200
@@ -1,14 +1,15 @@
 %global pkgname django-pagination
 %global obs_ver 1.0.5-8
 Name:           python-django-pagination
-Version:        1.0.5
-Release:        9%{?dist}
+Version:        1.0.7
+Release:        1%{?dist}
 Summary:        Django pagination tools
 
 Group:          Development/Languages
 License:        BSD
 URL:            http://code.google.com/p/%{pkgname}/
-Source0:        http://django-pagination.googlecode.com/files/%{pkgname}-%{version}.tar.gz
+Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
+#md5=43353a0b3344e5b10a9a83248a6dc24a
 
 BuildArch:      noarch
 BuildRequires:  python2-devel 
@@ -24,7 +25,7 @@
 
 %prep
 %setup -q -n %{pkgname}-%{version}
-find -name '._*' -exec rm {} \;
+rm -rf django_pagionation.egg-info
 
 %build
 %{__python} setup.py build
@@ -32,14 +33,16 @@
 %install
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
-%find_lang django
 
-%files -f django.lang
+%files
 %doc CONTRIBUTORS.txt LICENSE.txt docs/*
 %{python_sitelib}/pagination
 %{python_sitelib}/django_pagination-%{version}-py?.?.egg-info
 
 %changelog
+* Mon Mar 26 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0.7-1
+- update to version 1.0.7
+
 * Mon Mar 26 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0.5-9
 - obsolete old package
Comment 5 Michael Scherer 2012-03-26 05:28:01 EDT
There seems to be a django-pagination-1.0.7/._setup.py file, but that's not blocking ( on the other hand, I do not know why you wanted to remove them in the first place, so maybe it is important for you, but that's not blocking for the review )

And there is a typo on : 
rm -rf django_pagionation.egg-info

( pagination, not pagionation )
Comment 6 Matthias Runge 2012-03-26 06:26:13 EDT
You're right. Dropped that file and fixed typo.

SPEC: http://www.matthias-runge.de/fedora/python-django-pagination.spec
SRPM: http://www.matthias-runge.de/fedora/python-django-pagination-1.0.7-2.fc16.src.rpm

[mrunge@mrungexp SPECS]$ diff -u python-django-pagination.spec-1 python-django-pagination.spec
--- python-django-pagination.spec-1	2012-03-26 12:13:34.624625269 +0200
+++ python-django-pagination.spec	2012-03-26 12:16:49.903625842 +0200
@@ -2,7 +2,7 @@
 %global obs_ver 1.0.5-8
 Name:           python-django-pagination
 Version:        1.0.7
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Django pagination tools
 
 Group:          Development/Languages
@@ -25,7 +25,10 @@
 
 %prep
 %setup -q -n %{pkgname}-%{version}
-rm -rf django_pagionation.egg-info
+rm -rf django_pagination.egg-info
+
+# remove a unneeded file from mac
+rm -f ._setup.py
 
 %build
 %{__python} setup.py build
@@ -40,7 +43,7 @@
 %{python_sitelib}/django_pagination-%{version}-py?.?.egg-info
 
 %changelog
-* Mon Mar 26 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0.7-1
+* Mon Mar 26 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0.7-2
 - update to version 1.0.7
 
 * Mon Mar 26 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0.5-9
Comment 7 Michael Scherer 2012-03-26 07:21:59 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/checkout/git/FedoraReview/src/806562/django-pagination-1.0.7.tar.gz :
  MD5SUM this package     : 43353a0b3344e5b10a9a83248a6dc24a
  MD5SUM upstream package : 43353a0b3344e5b10a9a83248a6dc24a

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Python ====
[x]: MUST Module list python2-devel or python3-devel as BuildRequires
[x]: MUST Python egg is built from source

Issues:
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


Generated by fedora-review 0.2.0git
External plugins:

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/python-django-pagination-1.0.7-2.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/python-django-pagination-1.0.7-2.fc18.src.rpm   
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

No error on rpmlint, and all problem we found have been corrected, so the package is ok.
Comment 8 Matthias Runge 2012-03-26 07:48:00 EDT
Thanks a lot!

New Package SCM Request
=======================
Package Name: python-django-pagination
Short Description: Django pagination tools 
Owners: mrunge
Branches: devel
Comment 9 Jon Ciesla 2012-03-26 08:24:19 EDT
Git done (by process-git-requests).
Comment 10 Matthias Runge 2012-03-27 07:57:09 EDT
imported, built, django-pagination deprecated, request for blocking
https://fedorahosted.org/rel-eng/ticket/5147
Comment 11 Matthias Runge 2013-05-15 02:34:40 EDT
Package Change Request
======================
Package Name: python-django-pagination
New Branches: el6
Owners: mrunge
Comment 12 Jon Ciesla 2013-05-15 06:57:27 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.